-- 基础信息
base_info = {
	group_id = 133003610
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
}

-- 触发器
triggers = {
	{ config_id = 1610031, name = "GROUP_LOAD_610031", event = EventType.EVENT_GROUP_LOAD, source = "", condition = "", action = "action_EVENT_GROUP_LOAD_610031", trigger_count = 0 }
}

-- 点位
points = {
	-- test 一般交互线索
	{ config_id = 610001, pos = { x = 2743.000, y = 281.000, z = -1568.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	-- test 一般交互线索
	{ config_id = 610002, pos = { x = 2759.891, y = 286.670, z = -1575.069 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610003, pos = { x = 2755.992, y = 272.110, z = -1506.221 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610004, pos = { x = 2710.537, y = 274.222, z = -1547.965 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610005, pos = { x = 2719.422, y = 276.241, z = -1498.186 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610006, pos = { x = 2776.771, y = 271.077, z = -1486.144 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610007, pos = { x = 2797.077, y = 270.619, z = -1495.427 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610008, pos = { x = 2805.521, y = 274.687, z = -1522.117 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610009, pos = { x = 2843.868, y = 274.082, z = -1567.454 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610010, pos = { x = 2861.477, y = 275.270, z = -1582.582 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610011, pos = { x = 2846.124, y = 266.402, z = -1620.193 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610012, pos = { x = 2796.518, y = 261.814, z = -1630.995 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610013, pos = { x = 2820.284, y = 305.782, z = -1602.418 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610014, pos = { x = 2833.039, y = 309.155, z = -1574.069 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610015, pos = { x = 2792.125, y = 295.888, z = -1553.384 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610016, pos = { x = 2765.610, y = 289.491, z = -1600.824 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610017, pos = { x = 2725.029, y = 278.245, z = -1590.554 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610018, pos = { x = 2694.848, y = 272.743, z = -1594.138 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610019, pos = { x = 2681.886, y = 270.415, z = -1579.646 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610020, pos = { x = 2715.778, y = 276.891, z = -1563.770 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610021, pos = { x = 2744.851, y = 280.712, z = -1540.420 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610022, pos = { x = 2734.808, y = 277.475, z = -1529.867 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610023, pos = { x = 2767.538, y = 274.219, z = -1523.539 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610024, pos = { x = 2762.355, y = 274.170, z = -1513.960 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610025, pos = { x = 2794.599, y = 271.354, z = -1501.649 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610026, pos = { x = 2825.914, y = 274.358, z = -1519.981 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610027, pos = { x = 2798.915, y = 298.931, z = -1582.450 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610028, pos = { x = 2721.658, y = 261.906, z = -1622.763 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610029, pos = { x = 2738.346, y = 282.590, z = -1623.900 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	{ config_id = 610030, pos = { x = 2703.941, y = 273.834, z = -1511.583 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { "GROUP_LOAD_610031" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

-- 触发操作
function action_EVENT_GROUP_LOAD_610031(context, evt)
	-- 需要在group创建时调用，该函数会通过context的groupid读取HuntingData表，来创建entity填充points
	    if 0~= ScriptLib.RefreshHuntingClueGroup(context) then
	    	ScriptLib.PrintContextLog(context, "@@ LUA_WARNING : refresh_hunting_clue_group")
	    	return -1
		end

	return 0
end
